Cyberduck Mountain Duck CLI

#10931 closed defect (fixed)

Cannot download files with whitespace in name

Reported by: jickerson Owned by: dkocher
Priority: normal Milestone: 7.3.0
Component: google-storage Version: 7.2.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I get a "Failure to read attributes" error when trying to download files that have a space somewhere in the path (filename or foldername). But I can download files that don't have a space anywhere in the path. Attached is the log from the transfer window (I censored out the uploadID)

Attachments (1)

log.txt (1.6 KB) - added by jickerson on Jan 10, 2020 at 7:05:45 PM.
log file

Download all attachments as: .zip

Change History (11)

Changed on Jan 10, 2020 at 7:05:45 PM by jickerson

log file

comment:1 Changed on Jan 10, 2020 at 7:17:23 PM by jickerson

Also, I don't have the problem when using an older version of cyberduck (6.9.0, 29768) on a different computer.

comment:2 Changed on Jan 25, 2020 at 6:08:43 PM by trenzterra

I am having the same issues as well with 7.2.5 and the latest nightly (7.2.7)

comment:3 Changed on Jan 25, 2020 at 7:04:32 PM by dkocher

  • Component changed from core to google-storage
  • Milestone set to 8.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:6 Changed on Jan 27, 2020 at 10:55:03 AM by dkocher

  • Summary changed from Can't download files with whitespace in name (Google Cloud Storage) to Cannot download files with whitespace in name

comment:7 Changed on Jan 28, 2020 at 8:39:12 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r48598.

comment:9 Changed on Mar 22, 2020 at 1:20:09 PM by dkocher

  • Milestone changed from 8.0 to 7.3.0

comment:10 Changed on Mar 23, 2020 at 8:32:59 PM by dkocher

#10999 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software